Get Batch Status
GET
/api/v1/batches/{batch_id}/status
const url = 'https://example.com/api/v1/batches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/batches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status \ --header 'Authorization: Bearer <token>'Retrieve the id, status and jobs count per status of a batch.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”batch_id
required
Batch Id
string format: uuid
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
NonPaginatedResponse[ProducedBatchStatusResponse]
object
data
Any of:
ProducedBatchStatusResponse
object
id
required
Id
Unique identifier for the batch.
string format: uuid
status
required
BatchStatus
Current batch status.
string
jobs_count_per_status
required
Jobs Count Per Status
Number of jobs grouped by status.
object
key
additional properties
integer
null
Example
{ "data": { "status": "PENDING" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}